petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMLabelGetValueIS

Get an IS of all values that the DMlabel takes

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetValueIS(DMLabel label, IS *values)

Not collective

### Input Parameter

label -the DMLabel

### Output Paramater

is -the value IS

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/label/examples/tutorials/ex1.c.html
src/dm/label/examples/tutorials/ex1f90.F90.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages